PIP 0.7.1 Platform-Independent Primitives

Classes
pistatemachine.h File Reference

Base class for custom state machine. More...

## Classes
class | PIStateMachine< Type >
| Base class for custom state machine. More...
struct | PIStateMachine< Type >::Rule
| Rule of transition between states of machine More...
struct | PIStateMachine< Type >::State
| State of machine More...

## Detailed Description

Base class for custom state machine.